<template>
  <div>
    <!-- <a href="javascript:;" class="text-primary" @click="toDownload">{{fileName}}</a> -->
  </div>
</template>
<script>
import axios from './axios'
import _config from '@/config'
export default {
  name: 'ZmEnclosure',
  props: {
    fileUrl: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
    }
  },
  computed: {

  },
  created() { },
  mounted() { },
  methods: {
    getBlobExport(params, url) {
       return axios.get(url,{params})
    },
    async toDownload(params,url,title="导出") {
      const res = await this.getBlobExport(params, url)
      this.downloadFile(res,title)
    },
    downloadFile(blob,title) {
      if (!blob || !blob.data) {
        return
      }
      const _blob = new Blob([blob.data])
      const url = window.URL.createObjectURL(_blob)
      const link = document.createElement('a')
      link.style.display = 'none'
      link.href = url
      link.setAttribute('download', title+'.csv' || '下载.csv')
      document.body.appendChild(link)
      link.click()

      setTimeout(() => {
        document.body.removeChild(link)
      }, 20000)
    }
  }
}
</script>
